<?php
add_action( 'plugins_loaded', 'gal_user_info' );
function gal_user_info(){
  if ( is_user_logged_in() ) {
  	//no spamfighter
	} else {
  	gal_startspamfighter();
	}
}


function gal_startspamfighter(){
if((get_option('galland_spamfight') == '1') ) {	


function gal_comment_scripts(){
	wp_enqueue_script('jquery');
	wp_enqueue_script('galland-cookies',  GAL_URL.'js/cookies.js');
}
add_action( 'wp_enqueue_scripts', 'gal_comment_scripts' );	
	

add_filter('comment_form_default_fields', 'galland_custom_fields');
function galland_custom_fields($fields) {

	$fields[ 'gallandkey' ] = '<input id="gallandkey" name="gallandkey" type="hidden" size="30" value="default" />';
	$fields[ 'gallandsuperkey' ] = '<input id="gallandsuperkey" name="gallandsuperkey" type="hidden" size="30" value="" />';
	return $fields;
}

add_filter( 'preprocess_comment', 'galland_verify_comment' );
function galland_verify_comment( $commentdata ) {
	$error=0;
	if (( ! isset( $_POST['gallandkey'] ) ) ||( ! isset( $_POST['gallandsuperkey'] )) ||( ! isset( $_POST['gallandsuperkeycheck'] ))) {
		$error=1;
	}else{
		if( $_POST['gallandsuperkey']!="")$error=1;
		$cookie_galtoken= $_COOKIE["galtoken"];
		if( $_POST['gallandkey'] != $_POST['gallandsuperkeycheck'])$error=1;
	}
	if($error==1) {
		$counter = get_option('galland_spamfightcounter');
		$counter++;
		update_option('galland_spamfightcounter', $counter);
		wp_die( __( '<strong>Error</strong>: You\'re probably not human. Your comment has been refused'.$cookie_galtoken ) );
		}
	return $commentdata;
}

} //galland_spamfight activated
}
?>